6.0.0-git
2021-01-18

[#6820] Daily Agenda isn't sent after setting daily_agenda to read
Summary Daily Agenda isn't sent after setting daily_agenda to read
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners chuck (at) horde (dot) org
Requester 80602 (at) heygel (dot) ch
Created 2008-06-02 (4613 days ago)
Due
Updated 2008-06-03 (4612 days ago)
Assigned 2008-06-03 (4612 days ago)
Resolved 2008-06-03 (4612 days ago)
Milestone
Patch No

History
2008-06-03 00:47:49 Chuck Hagenbuch Comment #5
State ⇒ Resolved
Reply to this comment
Fixed.
2008-06-03 00:44:40 Chuck Hagenbuch Comment #3
Version ⇒ HEAD
Queue ⇒ Horde Framework Packages
State ⇒ Assigned
Reply to this comment
This is actually a bug in the Prefs package.
2008-06-02 22:28:38 Jan Schneider Priority ⇒ 2. Medium
 
2008-06-02 21:47:07 Chuck Hagenbuch Comment #2
Assigned to Chuck Hagenbuch
State ⇒ Feedback
New Attachment: prefs.diff Download
Reply to this comment
It's actually a bug in the preferences system that this would be 
necessary. Please try this patch for Prefs.php (in your lib/ or 
framework/ directory) instead.
2008-06-02 19:47:10 80602 (at) heygel (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Daily Agenda isn't sent after setting daily_agenda to read
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
I didn't get a daily agenda after setting daily_agenda to 'read'. 
After some debugging I found, that in line 319 of 
lib/Scheduler/kronolith.php the wrong user's preferences were loaded. 
For each user in $users, the preferences of the *first* user in $users 
were loaded.



After adding the three arguments '', NULL and FALSE to the call of 
&Prefs::singleton in function agenda(), the problem was solved. The 
updated line now looks like this:



$prefs = &Prefs::singleton($GLOBALS['conf']['prefs']['driver'], 
'kronolith', $user, '', NULL, FALSE);



Was this a bug or is my horde system misconfigured?

Saved Queries